## gate.gui
Class TabHighlighter

    java.lang.Object
      |
      +--gate.gui.TabHighlighter

public class TabHighlighter
extends Object

Highligts a tab in a JTabbedPane. Removes the highlight automatically when the highlighted tab is selected.

Constructor Summary
`TabHighlighter(JTabbedPane pane, Component comp, Color highlightColour)`

Method Summary
`void` `highlight()` Highlights the tab unless is selected
`void` `removeHighlight()` Restores the tab to the normal colour

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabHighlighter

    public TabHighlighter(JTabbedPane pane,
                          Component comp,
                          Color highlightColour)

Method Detail

### highlight

    public void highlight()

  Highlights the tab unless is selected

### removeHighlight

    public void removeHighlight()

  Restores the tab to the normal colour